net.i2p.router.networkdb.kademlia

## Class FloodfillStoreJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.StoreJob
    - - net.i2p.router.networkdb.kademlia.FloodfillStoreJob

All Implemented Interfaces:
  Job

     class FloodfillStoreJob
    extends StoreJob

This extends StoreJob to fire off a FloodfillVerifyStoreJob after success.

### Field Summary

### Fields inherited from class net.i2p.router.networkdb.kademlia.StoreJob

`_log, _state`

### Constructor Summary

Constructors
Constructor and Description
`FloodfillStoreJob(RouterContext context, FloodfillNetworkDatabaseFacade facade, Hash key, DatabaseEntry data, Job onSuccess, Job onFailure, long timeoutMs)` Send a data structure to the floodfills
`FloodfillStoreJob(RouterContext context, FloodfillNetworkDatabaseFacade facade, Hash key, DatabaseEntry data, Job onSuccess, Job onFailure, long timeoutMs, Set<Hash> toSkip)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`protected int` `getParallelization()`
`protected int` `getRedundancy()`
`protected void` `succeed()` Send was totally successful

### Methods inherited from class net.i2p.router.networkdb.kademlia.StoreJob

`fail, runJob`

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FloodfillStoreJob

    public FloodfillStoreJob(RouterContext context,
                     FloodfillNetworkDatabaseFacade facade,
                     Hash key,
                     DatabaseEntry data,
                     Job onSuccess,
                     Job onFailure,
                     long timeoutMs)

Send a data structure to the floodfills

#### FloodfillStoreJob

    public FloodfillStoreJob(RouterContext context,
                     FloodfillNetworkDatabaseFacade facade,
                     Hash key,
                     DatabaseEntry data,
                     Job onSuccess,
                     Job onFailure,
                     long timeoutMs,
                     Set<Hash> toSkip)

Parameters:
  `toSkip` - set of peer hashes of people we dont want to send the data to (e.g. we already know they have it). This can be null.

### Method Detail

#### getParallelization

    protected int getParallelization()

Overrides:
  `getParallelization` in class `StoreJob`

#### getRedundancy

    protected int getRedundancy()

Overrides:
  `getRedundancy` in class `StoreJob`

#### succeed

    protected void succeed()

Send was totally successful

Overrides:
  `succeed` in class `StoreJob`

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

Specified by:
  `getName` in interface `Job`
Overrides:
  `getName` in class `StoreJob`